%define name	abcMIDI
%define srcver	2015-05-21
%define version	2015.05.21

Name:		%{name}
Version:	%{version}
Release:	%mkrel 1
Summary:	ABC Midi conversion utilities
Group:		Sound
License:	GPL
URL:		http://ifdo.pugmarks.com/~seymour/runabc/top.html
Source:		%{name}-%{srcver}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Prefix:		%{_prefix}
Obsoletes:	%{name}-%{version} <= 2.75
Provides:	abcmidi

%description
The abcMIDI package contains four programs: abc2midi to convert ABC music
notation to midi, midi2abc to convert midi files to (a first approximation
to) the corresponding ABC, abc2abc to reformat and/or transpose ABC files,
and yaps to typeset ABC files as PostScript.

For a description of the abc syntax, please see the abc userguide which is a
part of the abc2mtex package written by Chris Walshaw.

%prep
%setup -q -n abcmidi

%build
# make -f makefiles/unix.mak all CFLAGS="$RPM_OPT_FLAGS -c -DANSILIBS"
make -f makefile all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 abc2midi $RPM_BUILD_ROOT%{_bindir}
install -m 755 abcmatch $RPM_BUILD_ROOT%{_bindir}
install -m 755 midi2abc $RPM_BUILD_ROOT%{_bindir}
install -m 755 midicopy $RPM_BUILD_ROOT%{_bindir}
install -m 755 abc2abc $RPM_BUILD_ROOT%{_bindir}
install -m 755 mftext $RPM_BUILD_ROOT%{_bindir}
install -m 755 yaps $RPM_BUILD_ROOT%{_bindir}

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 doc/abc2abc.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 doc/abc2midi.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 doc/mftext.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 doc/midi2abc.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 doc/midicopy.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 doc/yaps.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc doc/* VERSION
%doc %{_mandir}/*
%{_bindir}/*

%changelog
* Fri May 22 2015 gseaman <galen.seaman at comcast.net> 2015.05.21-1gseaman2015
- 2015.05.21

* Sat Jan 03 2015 gseaman <galen.seaman at comcast.net> 2014.12.25-1gseaman2014
- 2014.12.25

* Sun Dec 14 2014 gseaman <galen.seaman at comcast.net> 2014.11.18-1gseaman2014
- 2014.11.18

